NoRouteToHostException (Java SE 10 & JDK 10 )
Keywords: java.net.NoRouteToHostException class

Module java.base
Package java.net

## Class NoRouteToHostException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.net.SocketException
        - - java.net.NoRouteToHostException

- All Implemented Interfaces:
    `Serializable`

      public class NoRouteToHostException
      extends SocketException

  Signals that an error occurred while attempting to connect a socket to a remote address and port. Typically, the remote host cannot be reached because of an intervening firewall, or if an intermediate router is down.
  Since:
    1.1
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NoRouteToHostException()` | Construct a new NoRouteToHostException with no detailed message.
    `NoRouteToHostException​(String msg)` | Constructs a new NoRouteToHostException with the specified detail message as to why the remote host cannot be reached.

  - ### Method Summary

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods declared in class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

- - ### Constructor Detail

    - #### NoRouteToHostException

          public NoRouteToHostException​(String msg)

      Constructs a new NoRouteToHostException with the specified detail message as to why the remote host cannot be reached. A detail message is a String that gives a specific description of this error.
      Parameters:
        `msg` - the detail message

    - #### NoRouteToHostException

          public NoRouteToHostException()

      Construct a new NoRouteToHostException with no detailed message.